## ros-foxy-kobuki-firmware 1.2.0

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 3.5)
project(kobuki_firmware)

##############################################################################
# Find Packages
##############################################################################

find_package(ament_cmake_ros REQUIRED)

##############################################################################
# Platform Configuration
##############################################################################

ament_package_xml()

##############################################################################
# Install
##############################################################################

install(
  DIRECTORY firmware
  DESTINATION share/${PROJECT_NAME}
)

##############################################################################
# Exports
##############################################################################

ament_package()

=== debian/changelog ===
ros-foxy-kobuki-firmware (1.2.0-1focal) focal; urgency=high

  * Custom PID gain setting of wheel velocity controlled added

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-firmware (1.1.4-1focal) focal; urgency=high

  * Gyro drift bug fixed

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 22 Feb 2013 05:00:00 -0000

ros-foxy-kobuki-firmware (1.1.3-1focal) focal; urgency=high

  * Decrease vibrations when moving at low velocity

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 14 Dec 2012 05:00:00 -0000

ros-foxy-kobuki-firmware (1.1.2-1focal) focal; urgency=high

  * Disabling firmware safety controller
  * New firmware version structure

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 Dec 2012 05:00:00 -0000

ros-foxy-kobuki-firmware (1.1.1-1focal) focal; urgency=high

  * Implement missing sounds and adjust existing ones
  * Bugfix the acceleration jump on startup non-zero velocity command

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 07 Dec 2012 05:00:00 -0000

ros-foxy-kobuki-firmware (1.1.0-1focal) focal; urgency=high

  * Special modes version
  * Startup button modes - B0:random-wandering and B1:arduino-support

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 24 Nov 2012 05:00:00 -0000

ros-foxy-kobuki-firmware (1.0.0-1focal) focal; urgency=high

  * This is the factory version currently flashed on the robots
  * First tested firmware frozen for the factory
  * Flexible firmware protocol for trouble-free updates
  * Raw data stream of 3-axis gyro

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 21 Nov 2012 05:00:00 -0000

ros-foxy-kobuki-firmware (0.0.1-1focal) focal; urgency=high

  * First released version
  * Alternate serial access over the 25-pin port
  * Unique Device Indentifier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 14 Nov 2012 05:00:00 -0000

=== debian/control ===
Source: ros-foxy-kobuki-firmware
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-ros-workspace
Homepage: https://index.ros.org/p/kobuki_driver/github-kobuki-base-kobuki_core/
Standards-Version: 3.9.2

Package: ros-foxy-kobuki-firmware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: Firmware blobs for kobuki.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-kobuki-firmware//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
